<?php
/**
* This example shows making an SMTP connection with authentication.
*/
//Import the PHPMailer class into the global namespace
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

//SMTP needs accurate times, and the PHP time zone MUST be set
//This should be done in your php.ini, but this is how to do it if you don't have access to that
date_default_timezone_set('Etc/UTC');

//Create a new PHPMailer instance
require 'mailer/src/Exception.php';
require 'mailer/src/PHPMailer.php';
require 'mailer/src/SMTP.php';


//Get Last Insert Id
$query = mysqli_query($mysqli, "SELECT MAX(id) as idenc FROM transaccion_medicamentos_enc")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($query);
$data  = mysqli_fetch_assoc($query);
$idenc = $data['idenc'];

//Query Encabezado
$queryEnc = mysqli_query($mysqli, "
    SELECT e.* FROM remision_encabezado as e WHERE e.idSalida = '$idenc'")
        or die('Error '.mysqli_error($mysqli));
$rw_encabezado=mysqli_fetch_array($queryEnc);   

$fecha = $rw_encabezado['fecha'];
$nombre = $rw_encabezado['nombre'];
$observacion_enc = $rw_encabezado['observacion_enc'];
$sta = $rw_encabezado['status'];
$foliorem = $rw_encabezado['folio']; 
$enviar_a = $rw_encabezado['txtCorreo']; 
$foliosal = $idenc; 
   

$hari_ini = date("d-m-Y");
$no = 1;

//Query Paramotros de correo
$queryEnvio = mysqli_query($mysqli, "SELECT * FROM parametro_correos where id = 2 ")
        or die('Error '.mysqli_error($mysqli));
$rw_envio=mysqli_fetch_array($queryEnvio); 

$cc1 = $rw_envio['cc1'];// ADMINISTRADOR
$cc2 = $rw_envio['cc2'];// SUPERVISOR
$cc3 = $rw_envio['cc3'];// ALMACENCISTA
$cc4 = $rw_envio['cc4'];// CC
$cc5 = $rw_envio['cc5'];// CC

//Query parametros perfil
$queryperfil = mysqli_query($mysqli, "SELECT * FROM perfil")
                                or die('error'.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryperfil);
$data_perfil  = mysqli_fetch_assoc($queryperfil);
$folio_perfil = $data_perfil['folio'];
$folio_rem_perfil = $data_perfil['folio2'];
$nombre_perfil = $data_perfil['nombre_empresa'];
$direccion_perfil = $data_perfil['direccion'];
$direccion_perfil = $data_perfil['direccion'];
$email_perfil = $data_perfil['email'];
$almacen_perfil = $data_perfil['almacen'];
$almacenista_perfil = $data_perfil['almacenista'];

//Query parametros envio
$queryenviocorreo = mysqli_query($mysqli, "SELECT * FROM envio WHERE id = 1")
                                or die('error'.mysqli_error($mysqli));
 $data_envio=mysqli_fetch_array($queryenviocorreo); 
//$data_envio  = mysqli_fetch_assoc($queryenvio);
$host = $data_envio['host'];
$port = $data_envio['port'];
$nombre_envio = $data_envio['nombre'];
$email = $data_envio['usuario'];
$password = $data_envio['password'];
$setname = $data_envio['setname'];



/************Envio de correo electronico nueva Remision*********************/
$mail = new PHPMailer();
$mail->isSMTP();
$mail->SMTPDebug = 1;
$mail->Host = $host;
$mail->Port = $port;
$mail->SMTPAuth = true;
$mail->Username = $email;
$mail->Password = $password;
#$mail->setFrom($email,$setname);
$mail->setFrom($email,$setname . $almacen_perfil);
$mail->addReplyTo($email, $nombre);
$mail->addAddress($enviar_a, 'inventario');//CORREO SELECCIONADO EN LA ENTRADA
$mail->addAddress($cc1, 'Administrador');// ADMINISTRADOR
$mail->addAddress($cc2, 'Supervisor');// SUPERVISOR
$mail->addAddress($cc3, 'Almacenista');// ALMACENCISTA
$mail->addAddress($cc4, 'Ejecutivo');// CC
$mail->addAddress($cc5, 'Ejecutivo');// CC


// Obtener la ruta base del servidor
$serverRoot = $_SERVER['DOCUMENT_ROOT'];

// Ruta relativa al documento root del servidor para el archivo adjunto
$relativePath = '/modules/trade/remision/mailer/src/pdf/'.$filename;

// Combinar la ruta base con la ruta relativa y el nombre del archivo para obtener la ruta completa del archivo adjunto
$attachmentPath = $serverRoot . $relativePath;

// Agregar el archivo adjunto al correo electrónico
$mail->AddAttachment($attachmentPath);


#$mail->AddAttachment('/home/sanmatespecial/inventarios.sanmatias.mx/cdc/modules/trade/remision/mailer/src/pdf/'.$filename);
#$mail->addCC('jrobles@sanmatias.mx','uno');
#$mail->addBCC('jrobleso@gmail.com','dos');
$mail->isHTML(true); // Indicamos que el correo va a ser HTML.
$mail->CharSet = 'UTF-8';
//$mail->Subject = 'Salida nueva';
$mail->Subject = "Nueva salida del almacen $almacen_perfil con folio:   $folio_perfil-$foliosal" ;
    $correo .= "<h1>$setname $almacen_perfil, Salida generada</h1>";
	$correo .= "</div>";
	$correo .= "<img src='cid:logo_php' align='left' border='0' hspace='10' />"; 
	$correo .= "<br/>";
	$correo .= "<h3>Observacion:</h3>";
	$correo .= "<ul>";
    $correo .= "<h3>$almacenista_perfil acaba de surtir la remision $folio_rem_perfil-$foliorem relacionada con el folio de salida $folio_perfil-$foliosal</h3>";
	$correo .= "</ul>";
	$mail->Body = $correo;

if (!$mail->send()) {
echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
echo 'Message sent!';
}
/*
$mail = new PHPMailer(true); // Passing `true` enables exceptions
$mail->isSMTP();
$mail->SMTPDebug = 0; // Set to 0 to disable debugging (you can set it to 1 for debugging purposes)
$mail->Host = $host;
$mail->Port = $port;
$mail->SMTPSecure = ''; // Opciones: ssl (recomendado) o tls
$mail->SMTPAuth = true;
$mail->Username = $email;
$mail->Password = $password;
$mail->setFrom($email,$setname);
$mail->addAddress($enviar_a, 'Destinatario');
$mail->addCC($cc1, 'Administrador');
$mail->addCC($cc2, 'Supervisor');
$mail->addCC($cc3, 'Almacenista');
$mail->addCC($cc4, 'Ejecutivo');
$mail->addCC($cc5, 'Ejecutivo');
$mail->AddAttachment('/public_html/subdomains/inventarios/modules/trade/remision/mailer/src/pdf/'.$filename);
#$mail->addCC('jrobles@sanmatias.mx','uno');
#$mail->addBCC('jrobleso@gmail.com','dos');
$mail->isHTML(true); // Indicamos que el correo va a ser HTML.
$mail->CharSet = 'UTF-8';
//$mail->Subject = 'Salida nueva';
$mail->Subject = "Nueva salida con folio:   $folio_perfil-$foliosal" ;
    $correo .= "<h1>$setname , SE GENERA UNA SALIDA</h1>";
	$correo .= "</div>";
	$correo .= "<img src='cid:logo_php' align='left' border='0' hspace='10' />"; 
	$correo .= "<br/>";
	$correo .= "<h3>Observacion:</h3>";
	$correo .= "<ul>";
    $correo .= "<h3>$almacenista_perfil acaba de surtir la remision $folio_rem_perfil-$foliorem relacionada con el folio de salida $folio_perfil-$foliosal</h3>";
	$correo .= "</ul>";
	$mail->Body = $correo;

if (!$mail->send()) {
echo 'Mailer Error: ' . $mail->ErrorInfo;
} else {
echo 'Message sent!';
}*/


?>